aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ddrescue/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2011-09-02 14:19:06 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2011-09-02 14:19:06 +0000
commit136728c3af429e3235324e3f84282b92b8635458 (patch)
treeb559e9b3b8d43d22248f7bbe2c5aef3499b89171 /testing/ddrescue/APKBUILD
parent92c80a5b15124177c3dd28eeb9542f5f3e94c965 (diff)
downloadaports-136728c3af429e3235324e3f84282b92b8635458.tar.gz
aports-136728c3af429e3235324e3f84282b92b8635458.tar.bz2
aports-136728c3af429e3235324e3f84282b92b8635458.tar.xz
testing/ddrescue: new aport
Tools for reading block devices with errors
Diffstat (limited to 'testing/ddrescue/APKBUILD')
-rw-r--r--testing/ddrescue/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/ddrescue/APKBUILD b/testing/ddrescue/APKBUILD
new file mode 100644
index 0000000000..bc85d650e0
--- /dev/null
+++ b/testing/ddrescue/APKBUILD
@@ -0,0 +1,42 @@
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=ddrescue
+pkgver=1.12
+pkgrel=0
+pkgdesc="Data recovery tool for block devices with errors"
+url="http://www.gnu.org/s/ddrescue/ddrescue.html"
+arch="all"
+license="GPL"
+depends=
+depends_dev=
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-doc"
+source="http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ return 0
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+
+ # remove the 2 lines below (and this) if there is no init.d script
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="b3d8a9a9098b87939fba05a45848bd8d ddrescue-1.12.tar.gz"